import { useEffect } from 'react';
export default function Backdrop({
  childrenRef,
  onPress,
  popoverRef,
  visible
}) {
  useEffect(() => {
    const handler = event => {
      if ( // @ts-ignore
      !popoverRef.current.contains(event.target) && // @ts-ignore
      !childrenRef.current.contains(event.target) && visible) {
        onPress();
      }
    }; // @ts-ignore


    document.addEventListener('mousedown', handler); // @ts-ignore

    return () => document.removeEventListener('mousedown', handler);
  }, [visible, onPress, popoverRef, childrenRef]);
  return null;
}
//# sourceMappingURL=Backdrop.web.js.map