import React from 'react';
import { ViewProps } from 'react-native';
import { PopoverProps } from './Popover';
import type { PopableManager } from './use-popable/types';
export declare type PopableProps = {
    action?: 'press' | 'longpress' | 'hover';
    animated?: PopoverProps['animated'];
    animationType?: PopoverProps['animationType'];
    backgroundColor?: PopoverProps['backgroundColor'];
    caret?: PopoverProps['caret'];
    caretPosition?: PopoverProps['caretPosition'];
    children: any;
    content: PopoverProps['children'];
    numberOfLines?: PopoverProps['numberOfLines'];
    onAction?: (visible: boolean) => void;
    position?: PopoverProps['position'];
    strictPosition?: boolean;
    style?: PopoverProps['style'];
    visible?: boolean;
    wrapperStyle?: ViewProps['style'];
};
declare const Popable: React.ForwardRefExoticComponent<PopableProps & React.RefAttributes<PopableManager>>;
export default Popable;
