import { RefObject } from 'react';
import type { PopableManager } from './types';
declare type Ref = RefObject<PopableManager>;
declare type UsePopableArray = [Ref, PopableManager];
declare type UsePopableObject = {
    ref: Ref;
} & PopableManager;
declare type UsePopable = UsePopableObject & UsePopableArray;
/**
 * Imperatively manage the popover.
 *
 * ```jsx
 * const [ref, { show, hide }] = usePopable()
 *
 * return <Popable ref={ref} />
 * ```
 *
 * If you prefer, you can destructure as an object:
 *
 * ```js
 * const { ref, show, hide } = usePopable()
 * ```
 */
export default function usePopable(): UsePopable;
export {};
